# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-01-12 16:36
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_fsm


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Agent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_service', models.CharField(db_index=True, max_length=128, unique=True, verbose_name='Id Service')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date created')),
                ('state', django_fsm.FSMField(choices=[(b'Offline', 'Offline'), (b'Online', 'Online'), (b'Busy', 'Busy')], default=b'Offline', max_length=50)),
            ],
            options={
                'verbose_name': 'Agent',
                'verbose_name_plural': 'Agents',
            },
        ),
        migrations.CreateModel(
            name='Asker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_service', models.CharField(db_index=True, max_length=128, unique=True, verbose_name='Id Service')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date created')),
            ],
            options={
                'verbose_name': 'Asker',
                'verbose_name_plural': 'Askers',
            },
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_service_in', models.CharField(db_index=True, max_length=128, unique=True, verbose_name='Id Service In')),
                ('id_service_out', models.CharField(blank=True, max_length=128, null=True, verbose_name='Id service Out')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date created')),
                ('t_sent', models.DateTimeField(blank=True, null=True, verbose_name='Date sent')),
                ('content', models.TextField(verbose_name='Content')),
                ('type', models.CharField(choices=[(b'Incoming', 'Incoming'), (b'Outgoing', 'Outgoing')], default=b'Incoming', max_length=128, verbose_name='Type')),
            ],
            options={
                'verbose_name': 'Message',
                'verbose_name_plural': 'Messages',
            },
        ),
        migrations.CreateModel(
            name='Chat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date created')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Last modified')),
                ('state', django_fsm.FSMField(choices=[(b'Pending', 'Pending'), (b'Live', 'Live'), (b'Terminated', 'Terminated')], default=b'Pending', max_length=50)),
                ('agent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='chats', to='listenclosely.Agent', verbose_name='Agent')),
                ('asker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='chats', to='listenclosely.Asker', verbose_name='Asker')),
            ],
            options={
                'verbose_name': 'Chat',
                'verbose_name_plural': 'Chats',
            },
        ),
        migrations.AddField(
            model_name='message',
            name='chat',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages', to='listenclosely.Chat', verbose_name='Chat'),
        ),
    ]
